const withPWA = require('next-pwa')

const domains = process.env.NEXT_PUBLIC_DOMAINS_IMAGE.split(' ') || 'localhost'

module.exports = withPWA({
  pwa: {
    disable: process.env.NODE_ENV !== 'production',
    dest: 'public',
    register: true,
    skipWaiting: true,
  },
  swcMinify: true,
  images: {
    domains
  }
})
